//
//
//	Lexeme class
//
//											(C) 1997 JoOl


#ifndef _LEXEME_H_
#define _LEXEME_H_




class					Lexeme
{
	const char*			Name;
	uint32				Token;

public:

#pragma export on

	Lexeme(const char* N, uint32 T)
	{
		Name = N;
		Token = T;
	};
	// No name to delete (no dynamic allocation)
	~Lexeme()			{};

	const char*			GetName()
	{ return Name;		};
	uint32				GetToken()
	{ return Token;		};

#pragma export off

};



#endif	/* _LEXEME_H_ */

